Skip to main content
Version: 5.3

Retrieving an Archive with Required apps and binaries

GET /app/content

Retrieve an archive with required apps and binaries:

curl -k -XGET https://<SBM_HOST>:7767/app/content

Header Input Parameters

NameTypeDescription
ClientIPstringIP address of the host sending the request
FileTypestringType of requested resource: app or binary

Body Input Parameters

NameTypeDescription
ipstringIP address of the host sending the request
dnsstringDNS of the host sending the request
hostnamestringHostname of the host sending the request
systemstringOperating system of the host sending the request
guidstringUnique identifier of Smart Beat sending the request
appstringName of requested resource

Output Parameters

Byte array.

Header:

NameTypeDescription
HashstringSHA256 checksum of the sent archive

Supported Errors

StatusError contentError description
400<syntax error>Syntax error in body
400Wrong json fieldsWrong field name or missing required field
500<response write error>Internal Smart Beat Manager error
400Cannot find file <file name>Archive data was not found
400Header is not filledMissing FileType header

Examples

Example input parameters:

{
"ip": "133.133.133.133",
"dns": "google",
"hostname": "coolHost",
"system": "windows-amd64",
"guid": "1231",
"app": "filebeat"
}